### A free/open-source library for quantitative finance

Public Member Functions
OneFactorGaussianCopula Class Reference

One-factor Gaussian Copula. More...

`#include <ql/experimental/credit/onefactorgaussiancopula.hpp>`

Inheritance diagram for OneFactorGaussianCopula:
[legend]

List of all members.

## Public Member Functions

| OneFactorGaussianCopula (const Handle< Quote > &correlation, Real maximum=5, Size integrationSteps=50)
Real | density (Real m) const
| Density function of M.
Real | cumulativeZ (Real z) const
| Cumulative distribution of Z.
Real | cumulativeY (Real y) const
Real | testCumulativeY (Real y) const
Real | inverseCumulativeY (Real p) const

## Detailed Description

One-factor Gaussian Copula.

The copula model

is specified here by setting the desnity function for all variables, and also to the standard normal distribution

## Member Function Documentation

Real density | ( | Real | m | ) | const`[virtual]`

Density function of M.

Derived classes must override this method and ensure zero mean and unit variance.

Implements OneFactorCopula.

Real cumulativeZ | ( | Real | z | ) | const`[virtual]`

Cumulative distribution of Z.

Derived classes must override this method and ensure zero mean and unit variance.

Implements OneFactorCopula.

Real cumulativeY | ( | Real | y | ) | const`[virtual]`

overrides the base class implementation based on table data

Reimplemented from OneFactorCopula.

Real inverseCumulativeY | ( | Real | p | ) | const`[virtual]`

overrides the base class implementation based on table data

Reimplemented from OneFactorCopula.